config TCC_THERMAL
        depends on OF
        bool "Temperature sensor on Telechips SoCs"
        help
          If you say yes here you get support for Telechips SoC.

config ARM_TCC_MP_CPUFREQ
        bool "Telechips Thermal driver driving by MP condition."
        depends on TCC_THERMAL
        default n
        help
          If you say yes here you get support for MP thermal policy.

config TCC_THERMAL_IRQ
       bool "Telechips Thermal driver IRQ check."
       depends on TCC_THERMAL
       default n
       help
         If you say yes here you get support for Thermal driver IRQ handler.
